//////////////////////////////////////////////////////////////////////////////////////////
// NcOb.h
//
// ■更新履歴
// 2011/06/25 NanaCraft
//            ・新規作成。
//
//////////////////////////////////////////////////////////////////////////////////////////

#ifndef __NCOB_H__
#define __NCOB_H__

#ifdef __USE_CMSIS
#include "LPC11xx.h"
#endif

///////////////////////////////////////////////////////////////////////////////
// OLED関連

void NcOled$SetColumnAddress(uint32_t startAddress, uint32_t endAddress);
void NcOled$SetRowAddress(uint32_t startAddress, uint32_t endAddress);
void NcOled$WriteRamBegin();
void NcOled$WriteRam8(const uint8_t* data, uint32_t length);
void NcOled$WriteRam16(const uint16_t* data, uint32_t length);

void NcOledFillBegin(uint32_t left, uint32_t top, uint32_t width, uint32_t height);
void NcOledFill8(const uint8_t* data, uint32_t length);
void NcOledFill16(const uint16_t* data, uint32_t length);

//
///////////////////////////////////////////////////////////////////////////////

#endif
